Subject: Re: Git for collaborative web development

From: Giuseppe Bilotta <[email-masked]>
Date: Fri, 27 Mar 2009 01:57:21 +0100

On Thursday 26 March 2009 19:51, Carlo wrote:

> Hi,
> I'm going to work on a web project with a friend. We will host our code on a
> server and my idea was to set up a git repository (maybe using gitosis) so that
> we could work on our machines and push the changes to the server.
> 
> He said that it would be complicated, because if he's going to try some changes
> to show me on the fly he just can't. I mean, he would like to work on the code
> directly on the server, so that he can change the code, save and I can just
> refresh the page from my browser and see what he did.
> 
> Using git he should save, commit, add, push... so it's a bit longer.
> 
> Is there a nice compromise? Or a better way to use git for such a task or web
> development in general?

You could try using gitweb to expose the local repository directly.

If the web pages don't rely on hard-coded paths (i.e. all links are
relative) you should actually be able to navigate the tentative website
in plain blob view mode, for any given commit or branch.

-- 
Giuseppe "Oblomov" Bilotta